Summary:	A cool game for GNOME
Name: 		gnome-breakout
Version:        0.5.3
Release:	1mdk
License:	GPL
Group:		Games/Arcade
Source:		http://www.users.on.net/mipearson/%name-%version.tar.bz2
URL:		http://www.users.on.net/mipearson/
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires:  libgnomeui2-devel
BuildRequires:  ImageMagick

%description
A breakout clone for GNOME. It supports mouse and keyboard control,
multiple difficulty levels, various nifty powerups, exploding blocks,
and customizable levels.

%prep

%setup -q

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std GETTEXT_PACKAGE=%name

install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%{name}): \
command="gnome-breakout" \
title="Gnome-Breakout" \
longtitle="Gnome breakout" \
icon="%name.png" \
needs="x11" \
section="More applications/Games/Arcade"
EOF

#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir
convert -scale 32x32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot%_miconsdir/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/gnome-breakout
%_datadir/pixmaps/*
%_datadir/gnome/apps/Games/gnome-breakout.desktop
%_datadir/%name/
%_menudir/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%attr(664, games, games) %{_localstatedir}/games/*

%changelog
* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- fix the icon in the menu
- fix description
- fix locale files
- add buildrequires
- fix URL
- New release 0.5.3

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-5mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-4mdk
- rebuild

* Mon Sep 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-3mdk
- fix permission on score file (David Walser)

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.5.2-2mdk
- Use standard icon for menu
- Clean after build

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- updated to 0.5.2

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-3mdk
- rebuild

* Fri Sep 01 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- macros 
- menus

* Tue Apr 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- first spec
- new in contribs
